Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Update customer need

PATCH/workspaces/{organizationId}/customer-needs/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
customerIdstring
min length 1
issueIdstring
projectIdstring
prioritystring
notestring
Responses
200

Need updated

idstringrequired
organizationIdstringrequired
customerIdstringrequired
issueIdstring | nullrequired
projectIdstring | nullrequired
prioritystring | nullrequired
notestring | nullrequired
createdAtstringrequired
404

Need not found

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://pile.nyc/workspaces/string/customer-needs/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "customerId": "string",
  "issueId": "string",
  "projectId": "string",
  "priority": "string",
  "note": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "customerId": "string",
  "issueId": "string",
  "projectId": "string",
  "priority": "string",
  "note": "string",
  "createdAt": "string"
}

Was this page helpful?